package com.bwie.mapper;

import com.bwie.common.domain.Room;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.RoomRentReq;
import com.bwie.common.domain.request.RoomReq;
import com.bwie.common.domain.response.RecordRep;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GoodsMapper {
    List<Room> findRoomList(RoomReq roomReq);

    RecordRep findRecord(@Param("userId") Integer userId);


    Integer add(RoomRentReq roomRentReq);

    Integer addDisPrice(RoomRentReq roomRentReq);

    RecordRep findRecordByUserId(@Param("userId") Integer userId);

    List<Integer> findUserIds();

    User findUSerById(@Param("userId") Integer userId);

    Integer update(User user);
}
