package com.bwie.rabbitmq.product;

import com.bwie.common.domain.User;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.UUID;

@RestController
@RequestMapping("/mq")
public class SendProduct {
    @Autowired
    private RabbitTemplate rabbitTemplate;
    @PostMapping("/send")
    public void  send(@RequestBody User user){
        rabbitTemplate.convertAndSend("send_msg",user,message -> {
            message.getMessageProperties().setMessageId(UUID.randomUUID().toString());
            return message;
        });
    }

}
